%define section   free
%define base_name commons-configuration
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}.d3
Release:        1jpp
Epoch:          0
Summary:        Commons Configuration Package

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/sandbox/configuration/
Source0:        commons-configuration-src-20040113.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32, junit >= 0:3.8.1
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-lang >= 0:2.0
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  dom4j >= 0:1.4
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:       jakarta-commons-collections >= 0:2.1
Requires:       jakarta-commons-lang >= 0:2.0
Requires:       jakarta-commons-logging >= 0:1.0.3
Requires:       jakarta-commons-digester >= 0:1.5
Requires:       jakarta-commons-beanutils >= 0:1.6.1
Requires:       dom4j >= 0:1.4
Requires:       xerces-j2 >= 0:2.6.0
Requires:       xml-commons-apis >= 0:1.0

%description
Configuration is a project to provide a generic Configuration interface 
and allow the source of the values to vary. It provides easy typed 
access to single, as well as lists of configuration values based on 
a 'key'. 
Right now you can load properties from a simple properties file, a 
properties file in a jar, an XML file, JNDI settings, as well as use 
a mix different sources using a ConfigurationFactory and 
CompositeConfiguration. 
Custom configuration objects are very easy to create now by just 
subclassing AbstractConfiguration. This works similar to how 
AbstractList works.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{base_name}


%build
export CLASSPATH=$(build-classpath \
jakarta-commons-collections \
jakarta-commons-lang \
jakarta-commons-logging \
jakarta-commons-digester \
jakarta-commons-beanutils \
dom4j junit \
xerces-j2 \
xml-commons-apis \
)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-dev-3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.d3-1jpp
- First JPackage release
